# The KTaglib_MPEG_File class

(0.0.1)

## Introduction

Represents an MPEG file. MPEG files can have ID3v1, ID3v2 tags and audio properties.

## Class synopsis

KTaglib_MPEG_File {
/* Methods */
public getAudioProperties ( void ) : KTaglib_MPEG_File
public getID3v1Tag ([ bool `$create` = `FALSE` ] ) : KTaglib_ID3v1_Tag
public getID3v2Tag ([ bool `$create` = `FALSE` ] ) : KTaglib_ID3v2_Tag
}

## Table of Contents

- KTaglib_MPEG_File::__construct — Opens a new file
- KTaglib_MPEG_File::getAudioProperties — Returns an object that provides access to the audio properties
- KTaglib_MPEG_File::getID3v1Tag — Returns an object representing an ID3v1 tag
- KTaglib_MPEG_File::getID3v2Tag — Returns a ID3v2 object